### File

`packages/eui-mobile/packages/core/src/lib/components/euim-skeleton-list-item/euim-skeleton-list-item.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
HostDirectives | `BaseStatesDirective` Inputs : euimSize2XL euimSizeL
selector | `euim-skeleton-list-item`
styleUrls | `./styles/_index.scss`
templateUrl | `./euim-skeleton-list-item.component.html`

### Index

###### Properties

- Public baseStatesDirective

###### Inputs

- avatarType
- hasAvatar
- hasMetaLine
- hasSubtitle
- hasTitle
- isAnimated
- metaLineWidth
- separator
- subTitleWidth
- titleWidth

###### HostBindings

- class

###### Accessors

- cssClasses

### Constructor

`constructor(baseStatesDirective: BaseStatesDirective)`

Parameters :

Name | Type | Optional
baseStatesDirective | `BaseStatesDirective` | No

### Inputs

avatarType
Type : `"default" | "square"`

hasAvatar
Type : `boolean`
Default value : `true`

hasMetaLine
Type : `boolean`
Default value : `true`

hasSubtitle
Type : `boolean`
Default value : `true`

hasTitle
Type : `boolean`
Default value : `true`

isAnimated
Type : `boolean`
Default value : `true`

metaLineWidth
Type : `string`
Default value : `'40%'`

separator
Type : `"none" | "full" | "inset"`

subTitleWidth
Type : `string`
Default value : `'60%'`

titleWidth
Type : `string`
Default value : `'80%'`

### HostBindings

class
Type : `string`

### Properties

Public baseStatesDirective
Type : `BaseStatesDirective`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""